Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Cannot Create Java Virtual Machine: Unrecognized option: -Xincgc(Cannot create a JVM with the JDK-11.0.8 javaw executable on Windows 10)
Cannot Create Java Virtual Machine: Unrecognized option: -Xincgc [message #1835717] Thu, 10 December 2020 22:00 Go to next message
Kaitlyn Naughton is currently offline Kaitlyn NaughtonFriend
Messages: 2
Registered: December 2020
Junior Member
I've had this issue for a while and this is the only time I've had this issue. Using older versions of Eclipse on a different computer never had these issues.

Whenever I try to launch the JVM, I get the same error:

Error: Could not create the Java Virtual Machine
Error: A fatal exception has occurred. Program will exit.


I've tried many, many fixes to this over the last few months, with many suggestions of modifications to the eclipse.ini file with none of them working. Reinstalled Java, that didn't work either. Reinstalled Eclipse twice, still no luck.

Attached is my current eclipse.ini file. Please help me before I lose my sanity on this issue.
  • Attachment: eclipse.ini
    (Size: 1.21KB, Downloaded 18 times)
Re: Cannot Create Java Virtual Machine: Unrecognized option: -Xincgc [message #1835732 is a reply to message #1835717] Fri, 11 December 2020 05:19 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31702
Registered: July 2009
Senior Member
I wonder if that option is coming from -XX:+UseG1GC. It seems this file is pretty messed up. You have, for example Dosgi.requiredJavaVersion=11, but but also -Dosgi.requiredJavaVersion=1.6 and your -vm option points at Java 8. Perhaps you'd be best to create a new installation with the installer.

Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Cannot Create Java Virtual Machine: Unrecognized option: -Xincgc [message #1835809 is a reply to message #1835732] Sun, 13 December 2020 23:36 Go to previous messageGo to next message
Kaitlyn Naughton is currently offline Kaitlyn NaughtonFriend
Messages: 2
Registered: December 2020
Junior Member
Ed Merks wrote on Fri, 11 December 2020 05:19
I wonder if that option is coming from -XX:+UseG1GC. It seems this file is pretty messed up. You have, for example Dosgi.requiredJavaVersion=11, but but also -Dosgi.requiredJavaVersion=1.6 and your -vm option points at Java 8. Perhaps you'd be best to create a new installation with the installer.


This is something I have now tried 5 times.
Every time, it does not work.
The second most recent time I tried it seemed to copy my broken .ini file.
I made a fresh install, and the issue still occured.

Attached is the *new* eclipse.ini file.

  • Attachment: eclipse.ini
    (Size: 1.01KB, Downloaded 12 times)
Re: Cannot Create Java Virtual Machine: Unrecognized option: -Xincgc [message #1835811 is a reply to message #1835809] Mon, 14 December 2020 04:34 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 31702
Registered: July 2009
Senior Member
Are you saying Eclipse itself won't launch? Or are you saying you can't launch a Java application from within Eclipse?

If the latter, then make sure that whatever is in you Window -> Preferences -> Java -> Installed JREs -> Edit... doesn't have such an option specified in Default VM Arguments. Also make sure that in your Run -> Run Configurations... (or Debug Configurations)... that the Arguments tab for the launch configuration you are using doesn't contain this option.

If the former, that doesn't make so much sense. I don't know where such an extra argument would come from if it's not in the eclipse.ini. Perhaps from some environment variable?


Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:New Install and Cannot type Asterisk
Next Topic:What is required to make a documentation plugin show up in Eclipse Infocenter 4.17 war?
Goto Forum:
  


Current Time: Tue Jan 19 22:55:19 GMT 2021

Powered by FUDForum. Page generated in 0.02871 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top